Checks if class constant is private

- « ReflectionClassConstant::isFinal

- ReflectionClassConstant::isProtected »

- PHP Manual
- ReflectionClassConstant
- Checks if class constant is private

# ReflectionClassConstant::isPrivate

(PHP 7 >= 7.1.0, PHP 8)

ReflectionClassConstant::isPrivate — Checks if class constant is private

### Description

public ReflectionClassConstant::isPrivate(): bool

Checks if the class constant is private.

### Parameters

This function has no parameters.

### Return Values

`true` if the class constant is private, otherwise `false`

### See Also

- ReflectionClassConstant::isFinal() - Checks if class constant is final
- ReflectionClassConstant::isPublic() - Checks if class constant is public
- ReflectionClassConstant::isProtected() - Checks if class constant is protected